diff -ruN ccp4srs-old/doc-html/html/index.hhc ccp4srs/doc-html/html/index.hhc
--- ccp4srs-old/doc-html/html/index.hhc	1969-12-31 16:00:00.000000000 -0800
+++ ccp4srs/doc-html/html/index.hhc	2014-09-09 21:34:12.000000000 -0700
@@ -0,0 +1,103 @@
+<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
+<HTML><HEAD></HEAD><BODY>
+<OBJECT type="text/site properties">
+<param name="FrameName" value="right">
+</OBJECT>
+<UL>
+<LI><OBJECT type="text/sitemap"><param name="Name" value="Class List"><param name="Local" value="annotated.html"><param name="ImageNumber" value="1"></OBJECT>
+  <UL>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Angle"><param name="Local" value="classccp4srs_1_1_angle.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Atom"><param name="Local" value="classccp4srs_1_1_atom.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::AtomPair"><param name="Local" value="structccp4srs_1_1_atom_pair.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Base"><param name="Local" value="classccp4srs_1_1_base.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Bond"><param name="Local" value="classccp4srs_1_1_bond.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Chem"><param name="Local" value="classccp4srs_1_1_chem.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::ChiCenter"><param name="Local" value="classccp4srs_1_1_chi_center.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Container< T >"><param name="Local" value="classccp4srs_1_1_container.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::DASelHnds"><param name="Local" value="structccp4srs_1_1_d_a_sel_hnds.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Entry"><param name="Local" value="classccp4srs_1_1_entry.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Index"><param name="Local" value="classccp4srs_1_1_index.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Manager"><param name="Local" value="classccp4srs_1_1_manager.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::MemIO"><param name="Local" value="classccp4srs_1_1_mem_i_o.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Monomer"><param name="Local" value="classccp4srs_1_1_monomer.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::MPFilePos"><param name="Local" value="structccp4srs_1_1_m_p_file_pos.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Plane"><param name="Local" value="classccp4srs_1_1_plane.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Torsion"><param name="Local" value="classccp4srs_1_1_torsion.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Tree"><param name="Local" value="classccp4srs_1_1_tree.html"><param name="ImageNumber" value="11"></OBJECT>
+  </UL>
+<LI><OBJECT type="text/sitemap"><param name="Name" value="Class Hierarchy"><param name="Local" value="hierarchy.html"><param name="ImageNumber" value="1"></OBJECT>
+  <UL>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Angle"><param name="Local" value="classccp4srs_1_1_angle.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Atom"><param name="Local" value="classccp4srs_1_1_atom.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::AtomPair"><param name="Local" value="structccp4srs_1_1_atom_pair.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Base"><param name="Local" value="classccp4srs_1_1_base.html"><param name="ImageNumber" value="1"></OBJECT>
+    <UL>
+    <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Chem"><param name="Local" value="classccp4srs_1_1_chem.html"><param name="ImageNumber" value="1"></OBJECT>
+      <UL>
+      <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Manager"><param name="Local" value="classccp4srs_1_1_manager.html"><param name="ImageNumber" value="11"></OBJECT>
+      </UL>
+    </UL>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Bond"><param name="Local" value="classccp4srs_1_1_bond.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::ChiCenter"><param name="Local" value="classccp4srs_1_1_chi_center.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Container< T >"><param name="Local" value="classccp4srs_1_1_container.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::DASelHnds"><param name="Local" value="structccp4srs_1_1_d_a_sel_hnds.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Entry"><param name="Local" value="classccp4srs_1_1_entry.html"><param name="ImageNumber" value="1"></OBJECT>
+    <UL>
+    <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Monomer"><param name="Local" value="classccp4srs_1_1_monomer.html"><param name="ImageNumber" value="11"></OBJECT>
+    </UL>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Index"><param name="Local" value="classccp4srs_1_1_index.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::MemIO"><param name="Local" value="classccp4srs_1_1_mem_i_o.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::MPFilePos"><param name="Local" value="structccp4srs_1_1_m_p_file_pos.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Plane"><param name="Local" value="classccp4srs_1_1_plane.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Torsion"><param name="Local" value="classccp4srs_1_1_torsion.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs::Tree"><param name="Local" value="classccp4srs_1_1_tree.html"><param name="ImageNumber" value="11"></OBJECT>
+  </UL>
+<LI><OBJECT type="text/sitemap"><param name="Name" value="Class Members"><param name="Local" value="functions.html"><param name="ImageNumber" value="11"></OBJECT>
+<LI><OBJECT type="text/sitemap"><param name="Name" value="Graphical Class Hierarchy"><param name="Local" value="inherits.html"><param name="ImageNumber" value="11"></OBJECT>
+<LI><OBJECT type="text/sitemap"><param name="Name" value="Namespace List"><param name="Local" value="namespaces.html"><param name="ImageNumber" value="1"></OBJECT>
+  <UL>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="ccp4srs"><param name="Local" value="namespaceccp4srs.html"><param name="ImageNumber" value="11"></OBJECT>
+  </UL>
+<LI><OBJECT type="text/sitemap"><param name="Name" value="Namespace Members"><param name="Local" value="namespacemembers.html"><param name="ImageNumber" value="11"></OBJECT>
+<LI><OBJECT type="text/sitemap"><param name="Name" value="File List"><param name="Local" value="files.html"><param name="ImageNumber" value="1"></OBJECT>
+  <UL>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_angle.cpp"><param name="Local" value="ccp4srs__angle_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_angle.h"><param name="Local" value="ccp4srs__angle_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_atom.cpp"><param name="Local" value="ccp4srs__atom_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_atom.h"><param name="Local" value="ccp4srs__atom_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_base.cpp"><param name="Local" value="ccp4srs__base_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_base.h"><param name="Local" value="ccp4srs__base_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_bond.cpp"><param name="Local" value="ccp4srs__bond_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_bond.h"><param name="Local" value="ccp4srs__bond_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_chem.cpp"><param name="Local" value="ccp4srs__chem_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_chem.h"><param name="Local" value="ccp4srs__chem_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_chicenter.cpp"><param name="Local" value="ccp4srs__chicenter_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_chicenter.h"><param name="Local" value="ccp4srs__chicenter_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_container.cpp"><param name="Local" value="ccp4srs__container_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_container.h"><param name="Local" value="ccp4srs__container_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_defs.h"><param name="Local" value="ccp4srs__defs_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_entry.cpp"><param name="Local" value="ccp4srs__entry_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_entry.h"><param name="Local" value="ccp4srs__entry_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_index.cpp"><param name="Local" value="ccp4srs__index_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_index.h"><param name="Local" value="ccp4srs__index_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_manager.cpp"><param name="Local" value="ccp4srs__manager_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_manager.h"><param name="Local" value="ccp4srs__manager_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_monomer.cpp"><param name="Local" value="ccp4srs__monomer_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_monomer.h"><param name="Local" value="ccp4srs__monomer_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_plane.cpp"><param name="Local" value="ccp4srs__plane_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_plane.h"><param name="Local" value="ccp4srs__plane_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_torsion.cpp"><param name="Local" value="ccp4srs__torsion_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_torsion.h"><param name="Local" value="ccp4srs__torsion_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_tree.cpp"><param name="Local" value="ccp4srs__tree_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_tree.h"><param name="Local" value="ccp4srs__tree_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_types.cpp"><param name="Local" value="ccp4srs__types_8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/ccp4srs_types.h"><param name="Local" value="ccp4srs__types_8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/memio_.cpp"><param name="Local" value="memio___8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/memio_.h"><param name="Local" value="memio___8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/mpfile_.cpp"><param name="Local" value="mpfile___8cpp.html"><param name="ImageNumber" value="11"></OBJECT>
+  <LI><OBJECT type="text/sitemap"><param name="Name" value="src/mpfile_.h"><param name="Local" value="mpfile___8h.html"><param name="ImageNumber" value="11"></OBJECT>
+  </UL>
+<LI><OBJECT type="text/sitemap"><param name="Name" value="File Members"><param name="Local" value="globals.html"><param name="ImageNumber" value="11"></OBJECT>
+</UL>
+</BODY>
+</HTML>
diff -ruN ccp4srs-old/doc-html/html/index.hhp ccp4srs/doc-html/html/index.hhp
--- ccp4srs-old/doc-html/html/index.hhp	1969-12-31 16:00:00.000000000 -0800
+++ ccp4srs/doc-html/html/index.hhp	2014-09-09 21:34:12.000000000 -0700
@@ -0,0 +1,178 @@
+[OPTIONS]
+Compatibility=1.1
+Full-text search=Yes
+Contents file=index.hhc
+Default Window=main
+Default topic=index.html
+Index file=index.hhk
+Language=0x409 English (United States)
+Title=ccp4srs
+
+[WINDOWS]
+main="ccp4srs","index.hhc","index.hhk","index.html","index.html",,,,,0x23520,,0x10387e,,,,,,,,0
+
+[FILES]
+index.html
+ccp4srs__angle_8h_source.html
+ccp4srs__atom_8h_source.html
+ccp4srs__base_8h_source.html
+ccp4srs__bond_8h_source.html
+ccp4srs__chem_8h_source.html
+ccp4srs__chicenter_8h_source.html
+ccp4srs__container_8h_source.html
+ccp4srs__defs_8h_source.html
+ccp4srs__entry_8h_source.html
+ccp4srs__index_8h_source.html
+ccp4srs__manager_8h_source.html
+ccp4srs__monomer_8h_source.html
+ccp4srs__plane_8h_source.html
+ccp4srs__torsion_8h_source.html
+ccp4srs__tree_8h_source.html
+ccp4srs__types_8h_source.html
+memio___8h_source.html
+mpfile___8h_source.html
+ccp4srs__angle_8cpp.html
+ccp4srs__angle_8h.html
+ccp4srs__atom_8cpp.html
+ccp4srs__atom_8h.html
+ccp4srs__base_8cpp.html
+ccp4srs__base_8h.html
+ccp4srs__bond_8cpp.html
+ccp4srs__bond_8h.html
+ccp4srs__chem_8cpp.html
+ccp4srs__chem_8h.html
+ccp4srs__chicenter_8cpp.html
+ccp4srs__chicenter_8h.html
+ccp4srs__container_8cpp.html
+ccp4srs__container_8h.html
+ccp4srs__defs_8h.html
+ccp4srs__entry_8cpp.html
+ccp4srs__entry_8h.html
+ccp4srs__index_8cpp.html
+ccp4srs__index_8h.html
+ccp4srs__manager_8cpp.html
+ccp4srs__manager_8h.html
+ccp4srs__monomer_8cpp.html
+ccp4srs__monomer_8h.html
+ccp4srs__plane_8cpp.html
+ccp4srs__plane_8h.html
+ccp4srs__torsion_8cpp.html
+ccp4srs__torsion_8h.html
+ccp4srs__tree_8cpp.html
+ccp4srs__tree_8h.html
+ccp4srs__types_8cpp.html
+ccp4srs__types_8h.html
+memio___8cpp.html
+memio___8h.html
+mpfile___8cpp.html
+mpfile___8h.html
+annotated.html
+classes.html
+hierarchy.html
+functions.html
+functions_0x62.html
+functions_0x63.html
+functions_0x64.html
+functions_0x65.html
+functions_0x66.html
+functions_0x67.html
+functions_0x68.html
+functions_0x69.html
+functions_0x6c.html
+functions_0x6d.html
+functions_0x6e.html
+functions_0x6f.html
+functions_0x70.html
+functions_0x72.html
+functions_0x73.html
+functions_0x74.html
+functions_0x75.html
+functions_0x76.html
+functions_0x77.html
+functions_0x78.html
+functions_0x79.html
+functions_0x7a.html
+functions_0x7e.html
+functions_func.html
+functions_func_0x62.html
+functions_func_0x63.html
+functions_func_0x64.html
+functions_func_0x65.html
+functions_func_0x66.html
+functions_func_0x67.html
+functions_func_0x68.html
+functions_func_0x69.html
+functions_func_0x6c.html
+functions_func_0x6d.html
+functions_func_0x6e.html
+functions_func_0x6f.html
+functions_func_0x70.html
+functions_func_0x72.html
+functions_func_0x73.html
+functions_func_0x74.html
+functions_func_0x75.html
+functions_func_0x76.html
+functions_func_0x77.html
+functions_func_0x78.html
+functions_func_0x79.html
+functions_func_0x7a.html
+functions_func_0x7e.html
+functions_vars.html
+functions_eval.html
+inherits.html
+namespaces.html
+namespaceccp4srs.html
+classccp4srs_1_1_angle.html
+classccp4srs_1_1_angle-members.html
+classccp4srs_1_1_atom.html
+classccp4srs_1_1_atom-members.html
+classccp4srs_1_1_base.html
+classccp4srs_1_1_base-members.html
+classccp4srs_1_1_bond.html
+classccp4srs_1_1_bond-members.html
+classccp4srs_1_1_chem.html
+classccp4srs_1_1_chem-members.html
+classccp4srs_1_1_chi_center.html
+classccp4srs_1_1_chi_center-members.html
+classccp4srs_1_1_container.html
+classccp4srs_1_1_container-members.html
+classccp4srs_1_1_entry.html
+classccp4srs_1_1_entry-members.html
+classccp4srs_1_1_index.html
+classccp4srs_1_1_index-members.html
+classccp4srs_1_1_manager.html
+classccp4srs_1_1_manager-members.html
+classccp4srs_1_1_monomer.html
+classccp4srs_1_1_monomer-members.html
+classccp4srs_1_1_plane.html
+classccp4srs_1_1_plane-members.html
+classccp4srs_1_1_torsion.html
+classccp4srs_1_1_torsion-members.html
+classccp4srs_1_1_tree.html
+classccp4srs_1_1_tree-members.html
+structccp4srs_1_1_atom_pair.html
+structccp4srs_1_1_atom_pair-members.html
+structccp4srs_1_1_d_a_sel_hnds.html
+structccp4srs_1_1_d_a_sel_hnds-members.html
+classccp4srs_1_1_mem_i_o.html
+classccp4srs_1_1_mem_i_o-members.html
+structccp4srs_1_1_m_p_file_pos.html
+structccp4srs_1_1_m_p_file_pos-members.html
+namespacemembers.html
+namespacemembers_func.html
+namespacemembers_vars.html
+namespacemembers_type.html
+namespacemembers_enum.html
+namespacemembers_eval.html
+graph_legend.html
+files.html
+globals.html
+globals_defs.html
+tabs.css
+tab_a.png
+tab_b.png
+tab_h.png
+tab_s.png
+nav_h.png
+nav_f.png
+bc_s.png
diff -ruN ccp4srs-old/doc-html/html/installdox ccp4srs/doc-html/html/installdox
--- ccp4srs-old/doc-html/html/installdox	1969-12-31 16:00:00.000000000 -0800
+++ ccp4srs/doc-html/html/installdox	2014-09-09 21:34:12.000000000 -0700
@@ -0,0 +1,117 @@
+#!/usr/bin/perl
+
+%subst = ( );
+$quiet   = 0;
+
+if (open(F,"search.cfg"))
+{
+  $_=<F> ; s/[ \t\n]*$//g ; $subst{"_doc"} = $_;
+  $_=<F> ; s/[ \t\n]*$//g ; $subst{"_cgi"} = $_;
+}
+
+while ( @ARGV ) {
+  $_ = shift @ARGV;
+  if ( s/^-// ) {
+    if ( /^l(.*)/ ) {
+      $v = ($1 eq "") ? shift @ARGV : $1;
+      ($v =~ /\/$/) || ($v .= "/");
+      $_ = $v;
+      if ( /(.+)\@(.+)/ ) {
+        if ( exists $subst{$1} ) {
+          $subst{$1} = $2;
+        } else {
+          print STDERR "Unknown tag file $1 given with option -l\n";
+          &usage();
+        }
+      } else {
+        print STDERR "Argument $_ is invalid for option -l\n";
+        &usage();
+      }
+    }
+    elsif ( /^q/ ) {
+      $quiet = 1;
+    }
+    elsif ( /^\?|^h/ ) {
+      &usage();
+    }
+    else {
+      print STDERR "Illegal option -$_\n";
+      &usage();
+    }
+  }
+  else {
+    push (@files, $_ );
+  }
+}
+
+foreach $sub (keys %subst)
+{
+  if ( $subst{$sub} eq "" ) 
+  {
+    print STDERR "No substitute given for tag file `$sub'\n";
+    &usage();
+  }
+  elsif ( ! $quiet && $sub ne "_doc" && $sub ne "_cgi" )
+  {
+    print "Substituting $subst{$sub} for each occurrence of tag file $sub\n"; 
+  }
+}
+
+if ( ! @files ) {
+  if (opendir(D,".")) {
+    foreach $file ( readdir(D) ) {
+      $match = ".html";
+      next if ( $file =~ /^\.\.?$/ );
+      ($file =~ /$match/) && (push @files, $file);
+      ($file =~ "tree.js") && (push @files, $file);
+    }
+    closedir(D);
+  }
+}
+
+if ( ! @files ) {
+  print STDERR "Warning: No input files given and none found!\n";
+}
+
+foreach $f (@files)
+{
+  if ( ! $quiet ) {
+    print "Editing: $f...\n";
+  }
+  $oldf = $f;
+  $f   .= ".bak";
+  unless (rename $oldf,$f) {
+    print STDERR "Error: cannot rename file $oldf\n";
+    exit 1;
+  }
+  if (open(F,"<$f")) {
+    unless (open(G,">$oldf")) {
+      print STDERR "Error: opening file $oldf for writing\n";
+      exit 1;
+    }
+    if ($oldf ne "tree.js") {
+      while (<F>) {
+        s/doxygen\=\"([^ \"\:\t\>\<]*)\:([^ \"\t\>\<]*)\" (href|src)=\"\2/doxygen\=\"$1:$subst{$1}\" \3=\"$subst{$1}/g;
+        print G "$_";
+      }
+    }
+    else {
+      while (<F>) {
+        s/\"([^ \"\:\t\>\<]*)\:([^ \"\t\>\<]*)\", \"\2/\"$1:$subst{$1}\" ,\"$subst{$1}/g;
+        print G "$_";
+      }
+    }
+  } 
+  else {
+    print STDERR "Warning file $f does not exist\n";
+  }
+  unlink $f;
+}
+
+sub usage {
+  print STDERR "Usage: installdox [options] [html-file [html-file ...]]\n";
+  print STDERR "Options:\n";
+  print STDERR "     -l tagfile\@linkName   tag file + URL or directory \n";
+  print STDERR "     -q                    Quiet mode\n\n";
+  exit 1;
+}
diff -ruN ccp4srs-old/m4/ltoptions.m4 ccp4srs/m4/ltoptions.m4
--- ccp4srs-old/m4/ltoptions.m4	2014-03-24 10:40:19.000000000 -0700
+++ ccp4srs/m4/ltoptions.m4	2014-09-09 21:34:12.000000000 -0700
@@ -326,9 +326,24 @@
 # MODE is either `yes' or `no'.  If omitted, it defaults to `both'.
 m4_define([_LT_WITH_PIC],
 [AC_ARG_WITH([pic],
-    [AS_HELP_STRING([--with-pic],
+    [AS_HELP_STRING([--with-pic@<:@=PKGS@:>@],
 	[try to use only PIC/non-PIC objects @<:@default=use both@:>@])],
-    [pic_mode="$withval"],
+    [lt_p=${PACKAGE-default}
+    case $withval in
+    yes|no) pic_mode=$withval ;;
+    *)
+      pic_mode=default
+      # Look at the argument we got.  We use all the common list separators.
+      lt_save_ifs="$IFS"; IFS="${IFS}$PATH_SEPARATOR,"
+      for lt_pkg in $withval; do
+	IFS="$lt_save_ifs"
+	if test "X$lt_pkg" = "X$lt_p"; then
+	  pic_mode=yes
+	fi
+      done
+      IFS="$lt_save_ifs"
+      ;;
+    esac],
     [pic_mode=default])
 
 test -z "$pic_mode" && pic_mode=m4_default([$1], [default])
